Spectrum Spatial (SSA/LIM)

Expand all | Collapse all

Error version in Global Geocode and Enterprise Designer

  • 1.  Error version in Global Geocode and Enterprise Designer

    Posted 04-30-2019 05:18

    Hello,

    I have an error that appears when I try to create Universal Addressing Module in management console and when I add a Global Geocode in Enterprise Designer (both attached). We know Global Geocode Module and its database work (we installed it in other server) . I suppose that it is the same error but I am not sure! Do anybody have an idea of the problem.

    Thanks you,

    Augustin Boyer



    ------------------------------
    Augustin Boyer
    GEO RM
    Jaunay-Marigny
    ------------------------------


  • 2.  RE: Error version in Global Geocode and Enterprise Designer

    Pitney Bowes
    Posted 05-15-2019 11:36
    Hi Adrien,

    it seems a conflict / issue between Spectrum version and datasets used.

    Could you please give us more information about version you currently use for Spectrum and Datasets for UAM and GGM (vintage and format).

    ------------------------------
    Charles Trawinski
    PITNEY BOWES SOFTWARE, INC
    ------------------------------



  • 3.  RE: Error version in Global Geocode and Enterprise Designer

    Posted 05-16-2019 05:59
    Hello,

    I had some files from 12.2 and 18.2. I deleted all files that did reference to 12.2. It solved the problem.

    Thanks you

    ------------------------------
    Augustin Boyer
    GEO RM
    Jaunay-Marigny
    ------------------------------



  • 4.  RE: Error version in Global Geocode and Enterprise Designer

    Pitney Bowes
    Posted 05-16-2019 06:16
    This event can appear when you upgrade spectrum.

    Sometimes, some file are not deleted.
    In folder [Spectrum_home]\server\app\deploy, you can find 2 versions of the same file, ggm-18.2.car and ggm-12.1.car.

    This the reason why you have a conflict with you component.

    To solve this :

    Stop you Spectrum Server
    Backup your spectrum Server
    Delete all file in [Spectrum_home]\server\app\deploy that are not in the correct version, in your case ,all files finishing by 12.1
    Restart the server

    You are now able to use GGM i n Enterprise Designer

    In addition, you can delete the cache of Enterprise Designer in deleting g1Assemblies in temp directory
    - Close Enterprise Designer
    - Type "Windows+R", display Run wibdows
    - Type %temp%
    - Delete directory g1Assemblies

    You now can use again GGM module

    ------------------------------
    Charles Trawinski
    PITNEY BOWES SOFTWARE, INC
    ------------------------------



  • 5.  RE: Error version in Global Geocode and Enterprise Designer

    Pitney Bowes
    Posted 05-16-2019 06:25
    Hi Augustin,


    For issue about  UAM International database configuration, patch 2018.2 S08 solve this.


    ------------------------------
    Charles Trawinski
    PITNEY BOWES SOFTWARE, INC
    ------------------------------